import request from '@/utils/request'

const api = {
  all: '/system/tenant/allList',
  allTree: '/system/tenant/all/tree',
  resetPwd: '/system/tenant/resetPwd',
  tenantService: '/system/tenant/config/permission'
}

export function fetchAllTenantTree() {
  return request({
    url: api.allTree,
    method: 'get'
  })
}
// 租户列表重置密码
export function resetTenantPwd(data) {
  return request({
    url: api.resetPwd,
    method: 'put',
    data
  })
}
// 给租户添加业务服务
export function editTenantService(data) {
  return request({
    url: api.tenantService,
    method: 'put',
    data
  })
}
// 查询租户管理列表
export function fetchTenantPage(query) {
  return request({
    url: '/system/tenant/page',
    method: 'get',
    params: query
  })
}

// 全量查询租户管理列表
export function fetchAllTenant() {
  return request({
    url: api.all,
    method: 'get'
  })
}

// 查询租户管理详细
export function getTenant(id) {
  return request({
    url: '/system/tenant/' + id,
    method: 'get'
  })
}

// 新增租户管理
export function addTenant(data) {
  return request({
    url: '/system/tenant',
    method: 'post',
    data: data
  })
}

// 修改租户管理
export function updateTenant(data) {
  return request({
    url: '/system/tenant',
    method: 'put',
    data: data
  })
}

// 删除租户管理
export function delTenant(id) {
  return request({
    url: '/system/tenant/' + id,
    method: 'delete'
  })
}
